curl --request GET \
--url https://api.sandbox.trio.com.br/banking/bank_accounts/{id}/transactions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/bank_accounts/{id}/transactions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/bank_accounts/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": {
"amount": 10,
"currency": "BRL"
},
"bank_account_id": "0191148f-b189-8e42-27a5-1368cc00dea8",
"counterparty_id": "0191148f-b189-8e42-27a5-1368cc00dea8",
"document_type": "pix",
"end_to_end_id": "E44444444202405211946Dwg1pjxgehP",
"external_id": "external_id",
"ledger_account_id": "0190df9a-d08e-9574-c79c-9aa0f40ee330",
"posting_type": "credit",
"reconciliation_id": "018f3406-9e00-1766-05c4-4907e14ee511",
"ref_id": "0190df9a-d1b1-6bfe-ad26-037579ad8588",
"ref_type": "out",
"transaction_date": "2024-07-21T12:00:01",
"transaction_type": "regular",
"virtual_account_id": "0190df9a-d08e-9574-c79c-9aa0f40ee330"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}List Bank Account Transactions
List transactions for a bank account
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Bank Account ID Unique identifier
Query Parameters
From datetime Datetime schema
To datetime Datetime schema
External ID - transaction identifier used for reconciliation and webhook tracking
Reconciliation ID Unique identifier
Parameter used for pagination. It is a base64 encoded param used to access the previous page of results. It is provided alongside a metadata section if there is a previous page.
Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.
Response
Transactions
A list of transactions for a bank account
Show child attributes
Show child attributes

